package si.mojeznanje.kriptovalute;

import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.TextView;

/**
 * Created by Domen Lanišnik on 27/02/2018.
 * domen.lanisnik@gmail.com
 */
public class CryptoViewHolder extends RecyclerView.ViewHolder {

    private TextView nameTextView;
    private TextView priceTextView;
    private TextView symbolTextView;

    public CryptoViewHolder(View itemView) {
        super(itemView);

        nameTextView = itemView.findViewById(R.id.nameText);
        priceTextView = itemView.findViewById(R.id.priceText);
        symbolTextView = itemView.findViewById(R.id.symbolText);
    }

    public void bind(CryptoCurrency cryptoCurrency) {
        nameTextView.setText(cryptoCurrency.getName());
        symbolTextView.setText(cryptoCurrency.getSymbol());
        priceTextView.setText(cryptoCurrency.getPrice() + "€");
    }
}